%define         pypiname          pyshp

Name:           python-pyshp
Version:        2.1.2
Release:        %mkrel 1

Summary:        A Python library to manipulate Shapefile format
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyshp
Source0:        https://pypi.io/packages/source/p/pyshp/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch



%description
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.


%package -n python3-pyshp
Summary:        Python3 implementation of Pyshp
Group:          Development/Python
BuildRequires:  python3dist(setuptools)


%description -n python3-pyshp
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.



%prep
%setup -q -n %{pypiname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyshp
%doc README.md
%{python3_sitelib}/shapefile.py
%{python3_sitelib}/__pycache__/shapefile.*
%{python3_sitelib}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Sat Dec 12 2020 eatdirt <eatdirt> 2.1.2-1.mga8
+ Revision: 1656026
- Upgrade to version 2.1.2

* Sun Feb 16 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1534933
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 2.1.0-2.mga8
+ Revision: 1450210
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 2.1.0-1.mga7
+ Revision: 1371866
- Upgrade to version 2.1.0

* Tue Jan 08 2019 shlomif <shlomif> 2.0.1-1.mga7
+ Revision: 1351565
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.12-2.mga7
+ Revision: 1289799
- Mageia 7 Mass Rebuild

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.12-1.mga7
+ Revision: 1173956
- imported package python-pyshp

